### Struct

# Gck UriData

#### Description [src]

    struct GckUriData {
      gboolean any_unrecognized;
      GckModuleInfo* module_info;
      GckTokenInfo* token_info;
      GckAttributes* attributes;
    }

Information about the contents of a PKCS#11 URI. Various fields may be `NULL` depending on the context that the URI was parsed for.

Since PKCS#11 URIs represent a set which results from the intersections of all of the URI parts, if `any_recognized` is set to `TRUE` then usually the URI should be treated as not matching anything.

###### Structure members

`any_unrecognized`

  Whether any parts of the PKCS#11 URI were unsupported or unrecognized.

`module_info`

  Information about the PKCS#11 modules matching the URI.

`token_info`

  Information about the PKCS#11 tokens matching the URI.

`attributes`

  Information about the PKCS#11 objects matching the URI.

#### Constructors

###### gck_uri_data_new

Allocate a new GckUriData structure. None of the fields will be set.

#### Functions

###### gck_uri_data_parse

Parse a PKCS#11 URI for use in a given context.

#### Instance methods

###### gck_uri_data_build

Build a PKCS#11 URI. The various parts relevant to the flags specified will be used to build the URI.

###### gck_uri_data_copy

Copy a `GckUriData`.

###### gck_uri_data_free

Free a `GckUriData`.